import { TimeAxisBase } from "./TimeAxisBase";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisBreakCollection } from "./TimeAxisBreakCollection";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { TimeAxisIntervalCollection } from "./TimeAxisIntervalCollection";
import { Type, IList$1 } from "igniteui-react-core/ES2015/type";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { TimeAxisLabelFormat } from "./TimeAxisLabelFormat";
export declare class TimeXAxis extends TimeAxisBase implements ITimeRangeSelectorAxis {
    constructor();
    dt(a: number, b: ScalerParams): number;
    gg(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    protected startCursor(): void;
    protected resetCursor(): void;
    private mb;
    dw(a: number, b: ScalerParams): number;
    private lv;
    readonly lw: TimeAxisBreakCollection;
    private l1;
    readonly l2: TimeAxisLabelFormatCollection;
    protected gn(a: any, b: string, c: any, d: any): void;
    protected hb(a: Rect, b: Rect): void;
    protected ha(a: Rect, b: Rect): void;
    cm(): boolean;
    private _omission;
    private omission;
    private mn();
    private lt;
    private l4(a);
    private l8(a, b);
    private mm();
    e0(a: any): any;
    static mc(a: Date, b: number, c: IList$1<TimeAxisLabelFormat>): any;
    protected get_ku(): boolean;
    protected set_ku(a: boolean): void;
    ku: boolean;
    private lz;
    readonly l0: TimeAxisIntervalCollection;
    private me();
    static mf(a: number): string;
    private static ls;
    private static lu();
    private lx();
    private ly();
    protected g0(a: boolean): void;
    private l3();
    private l5(a);
    private ml;
    private l7;
    visibleMinimum: Date;
    private l6;
    visibleMaximum: Date;
    protected ln(): void;
    getOffset1(a: Rect, b: Rect, c: Rect, d: number, e: number): number;
    i$f(a: number): number;
    private mo(a, b);
    private mq(a, b);
    private mp(a, b);
    protected get_b3(): boolean;
    readonly b3: boolean;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    private mj;
    private mi();
    protected lj(): void;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    readonly i$a: boolean;
    static $t: Type;
}
